Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines

# ext/digest/sha2/sha2ossl.c File Reference

`#include "../defs.h"`
`#include "sha2ossl.h"`
Include dependency graph for sha2ossl.c:

Go to the source code of this file.

## Defines
#define | SHA_Finish(bit)
#define | SHA384_Final SHA512_Final

## Define Documentation

#define SHA384_Final SHA512_Final

Definition at line 7 of file sha2ossl.c.

Referenced by SHA384_End().

#define SHA_Finish | ( |  | bit | ) |

Value:

    void SHA##bit##_Finish(SHA##bit##_CTX *ctx, char *buf) \
        { SHA##bit##_Final((unsigned char *)buf, ctx);}

Definition at line 4 of file sha2ossl.c.